This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 910498 (kbounce)

Summary: Review Request: kbounce - Ball bouncing game
Product: [Fedora] Fedora Reporter: Rex Dieter <rdieter>
Component: Package ReviewAssignee: nucleo <alekcejk>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: alekcejk, kevin, limburgher, ltinkl, notting, package-review, than
Target Milestone: ---Flags: alekcejk: fedora‑review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-14 11:14:50 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 908920    
Bug Blocks: 656997, 907993    

Description Rex Dieter 2013-02-12 13:24:47 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/kbounce.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/kbounce-4.10.0-1.fc18.src.rpm
Description: A single player arcade game with the elements of puzzle 
Fedora Account System Username: rdieter
Comment 1 nucleo 2013-02-13 20:10:36 EST
Summary "A single player arcade game with the elements of puzzle" not very informative. It should be changed to name from .desktop file:

Summary: A ball bouncing game

All code under LGPLv2+ license (GNU Library General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version).
doc under GFDL, so license tag must be:

License: LGPLv2+ and GFDL


COPYING.LIB and COPYING.DOC must be added in %doc, also RULES can be added.
Useless README.PACKAGERS should be removed.

More detailed %description from documentation:

KBounce is a single player arcade game with the elements of puzzle.
It is played on a field, surrounded by walls, with two or more balls
that move about in the field bouncing off of walls. The player can
build new walls, decreasing the size of the active field.
The goal of the game is to fill at least 75% of the field and
advance to the next level.

rpmlint output:
$ rpmlint kbounce-4.10.0-1.fc18.i686.rpm kbounce-debuginfo-4.10.0-1.fc18.i686.rpm kbounce.spec 
kbounce.i686: W: no-manual-page-for-binary kbounce
kbounce.spec:66: W: macro-in-comment %{name}
kbounce.spec:67: W: macro-in-comment %{name}
kbounce.spec:70: W: macro-in-comment %{name}
2 packages and 1 specfiles checked; 0 errors, 4 warnings.

So commented lines should be removed.
Comment 2 Rex Dieter 2013-02-14 07:53:49 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/kbounce.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/kbounce-4.10.0-2.fc18.src.rpm

%changelog
* Thu Feb 14 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-2
- update Summary, License, %%description
- %%doc COPYING* RULES
- %%files: omit commented-out lines
Comment 3 nucleo 2013-02-14 08:02:54 EST
MUST Items:
+ rpmlint output
  $ rpmlint kbounce-4.10.0-1.fc18.i686.rpm kbounce-debuginfo-4.10.0-1.fc18.i686.rpm kbounce-4.10.0-2.fc18.src.rpm kbounce.spec
    kbounce.i686: W: no-manual-page-for-binary kbounce
    3 packages and 1 specfiles checked; 0 errors, 1 warnings.
+ named and versioned according to the Package Naming Guidelines.
  Package name match the upstream tarball name kbounce-4.10.0.tar.xz
+ spec file name kbounce.spec matches base package name
+ complies with all the legal guidelines:
  + License: LGPLv2+ and GFDL, matches actual license (added notices for parts under different licenses)
  + No known patent problems
  + No emulator, no firmware, no binary-only or prebuilt components
+ COPYING.LIB (GNU LIBRARY GENERAL PUBLIC LICENSE Version 2), COPYING.DOC (GNU Free Documentation License Version 1.2) packaged as %doc
+ source matches upstream:
  MD5: abb8a0899db58981805b439ef106a273  kbounce-4.10.0.tar.xz
  SHA1: e59c9386f3a8accf2f58b223ec45fe52e92e2871  kbounce-4.10.0.tar.xz
  SHA256: d2a3eb7108e1918bd13faee1f3a2d03ec9be8a903d1a367c2d21d7d272256782  kbounce-4.10.0.tar.xz
+ builds on at least one arch
  build from mock is in F18 kde-unstable repo
+ no known non-working arches, so no ExcludeArch needed
+ no missing BuildRequires (builds in mock)
+ locales are handled properly by using %find_lang %{name} --with-kde macro
+ ldconfig call not needed (no shared libraries)
+ no duplicated system libraries
+ package not relocatable (no Prefix tag)
+ directory ownership correct (doesn't own directories owned by another package, owns all package-specific directories %{_kde4_appsdir}/%{name}/)
+ no duplicate files in %files
+ permissions correct, %defattr(-,root,root,-) not needed now, executables have executable permissions
+ macros used where possible (%{name}, %{version}, %{buildroot}, %{_target_platform}, %{cmake_kde4}, %{_kde4_datadir}, %{_kde4_bindir}, %{_kde4_iconsdir},%{_kde4_appsdir} )
+ non-code content: only permitted content, themes and sounds under license that matches the code
+ no large documentation files, so no -doc package needed
+ no %doc files required at runtime
+ no header files, no -devel package needed
+ no static libraries, so no -static package needed
+ no devel symlinks which would need to be in a -devel subpackage
+ devel packages must require the base package (no -devel package)
+ no .la files
+ kbounce.desktop file for the GUI app kbounce present
+ desktop-file-validate is used in %check and the kbounce.desktop file passes validation
+ all filenames are valid UTF-8
+ other packaging guidelines:
  + complies with the Filesystem Hierarchy Standard (all files in  %{_kde4_datadir}, %{_kde4_bindir}, %{_kde4_iconsdir},%{_kde4_appsdir})
  + proper changelog, tags, BuildRequires, Summary, Description (got from kbounce's documentation)
  + no non-UTF-8 characters
  + all relevant documentation included as %doc (COPYING.LIB, COPYING.DOC, RULES)
  + RPM_OPT_FLAGS are used in %{cmake_kde4} macro
  + debuginfo package is valid (contains stripped symbols from ELF binary and source code related to it)
  + no rpaths (no check-rpaths error)
  + no configuration files, so %config guideline doesn't apply
  + no init scripts, so init script guideline doesn't apply
  + timestamps are preserved
  + %{?_smp_mflags} used
  + not a web application, so web application guideline doesn't apply
  + no conflicts (kdegames-4.10.0 is metapackage now which not includes apps)

SHOULD Items:
+ license already included upstream
+ no translations for description and summary provided by upstream
+ package builds in mock (built for kde-unstable)
- successfully tested the package functionality (no testing yet)
+ scriptlets are sane (updating icon chache in %post, %postun, %posttrans)
+ subpackages other than devel should require the base package using a fully versioned dependency (no subpackages)
+ no .pc files, so "placement of .pc files" is irrelevant
+ no file dependencies
- package should contain man pages for binaries/scripts

APPROVED
Comment 4 nucleo 2013-02-14 08:16:33 EST
Remove "%doc README" line, no README there.
Comment 5 Rex Dieter 2013-02-14 09:27:06 EST
oops, right.

New Package SCM Request
=======================
Package Name: kbounce
Short Description: A single player arcade game with the elements of puzzle
Owners: than rdieter jreznik kkofler ltinkl rnovacek
Branches: f17 f18
InitialCC:
Comment 6 Jon Ciesla 2013-02-14 10:05:54 EST
Git done (by process-git-requests).
Comment 7 nucleo 2013-02-14 11:11:25 EST
Description should be "Ball bouncing game"
Comment 8 Rex Dieter 2013-02-14 11:14:24 EST
oh, rats, not sure how to get summary changed in pkgdb.  will poke around.
Comment 9 Rex Dieter 2013-02-14 11:14:50 EST
anyway, imported into rawhide.
Comment 10 Kevin Kofler 2013-02-14 17:38:03 EST
Package Change Request
======================
Package Name: kbounce
Short Description: Ball bouncing game
Comment 11 Jon Ciesla 2013-02-15 08:32:59 EST
Misformatted request.
Comment 12 Kevin Kofler 2013-02-16 05:35:07 EST
So, since the script chokes on the request from comment #10, what is the proper procedure to get the description in pkgdb fixed/updated?
Comment 13 Jon Ciesla 2013-02-16 14:05:30 EST
Fixed.  I should probably work on a request format and change to the script to handle that, but it doesn't come up very often.